# gfs_pio_puts

## Name

gfs_pio_puts -- output of a string

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_puts``(GFS_File `gf`, char * `s`);`

## DESCRIPTION

`gfs_pio_puts()` writes the string `s` to `gf`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_create(3), gfs_pio_open(3)